Loading...
Searching...
No Matches
Dune::Functions::ContainerDescriptors::Value Struct Reference

The node in the descriptor tree representing a value placeholder. More...

`#include <dune/functions/functionspacebases/containerdescriptors.hh>`

## Public Member Functions

template<class Index>
Value | operator[] (const Index &) const
| The child access method is only available for the interface, but should not be called.

## Static Public Member Functions

static constexpr std::size_t | size ()
| A value placeholder does not have any sub-descriptors, thus its size is zero.

## Detailed Description

The node in the descriptor tree representing a value placeholder.

## Member Function Documentation

## operator[]()

template<class Index>

Value Dune::Functions::ContainerDescriptors::Value::operator[] | ( | const Index & |  | ) | const

inline

The child access method is only available for the interface, but should not be called.

## size()

constexpr std::size_t Dune::Functions::ContainerDescriptors::Value::size | ( |  | ) |

inline static constexpr

A value placeholder does not have any sub-descriptors, thus its size is zero.

The documentation for this struct was generated from the following file:

- containerdescriptors.hh